This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 907036 - Review Request: perl-Math-PlanePath - Mathematical paths through the 2-D plane
Review Request: perl-Math-PlanePath - Mathematical paths through the 2-D plane
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
: 876928 (view as bug list)
Depends On:
Blocks: 890839
  Show dependency treegraph
 
Reported: 2013-02-02 14:49 EST by Miro Hrončok
Modified: 2013-02-28 02:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 02:06:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2013-02-02 14:49:18 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-PlanePath.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-PlanePath-98-1.fc18.src.rpm

Description:
This is a base class for some mathematical paths which map an integer
position $n to and from coordinates $x,$y in the 2D plane.

Fedora Account System Username: churchyard
Comment 1 Miro Hrončok 2013-02-02 14:49:33 EST
*** Bug 876928 has been marked as a duplicate of this bug. ***
Comment 2 Petr Pisar 2013-02-06 09:15:11 EST
Spec files differs. I will use the standalone one in this review.

URL and Source0 are usable. Ok.

FIX: Use original homepage for URL <http://user42.tuxfamily.org/math-planepath/index.html> (debian/copyright:9).

Source tar ball is original (SHA-256: 656d326959e411f2e07539fe63c065a2ebc854ee478242dfe4d8e73eb72f09e3). Ok.
There is unused XS code. noarch BuildArch is Ok.

FIX: Current Summary and Description applies to Math::PlanePath module only. However this package delivers plenty of other modules. Please use better text. E.g. Abstract from from META.yml.

License verified from COPYING and debian/copyright and by grepping all files. Ok.

TODO: You can remove build-require `perl >= 0:5.004'. It does not match Fedora versioning.

TODO: Package debian/copyright as documentation.

TODO: (Build-)require `perl(constant) >= 1.02' (META.yml:14, various lib/* files).
TODO: Build-require `perl(Test)' (t/DiagonalRationals.t:22).

Data::Float is optional. Ok.

TODO: Quallify BuildRequires `perl(Math::BigFloat)' with `>= 1.993' (META.yml:44).

Data::Dumper is optional. Ok.

FIX: Build-require `perl(Scalar::Util)' (t/MyTestHelpers.pm:102).

Devel::FindRef is optional. Ok.

Number::Fraction is optional. Ok.
Math::BigInt::Lite is optional. Ok.

FIX: Build-require `perl(Carp)' (lib/Math/NumSeq/PlanePathCoord.pm:67).

Math::NumSeq is optional for testing. Ok.

FIX: Build-require `perl(File::Spec)' (lib/Math/NumSeq/PlanePathCoord.pm:156).
FIX: Build-require `perl(Scalar::Util)' (lib/Math/NumSeq/PlanePathCoord.pm:157).

Math::NumSeq::Modulo is not used for testing. Ok.
Module::Load is not used for testing. Ok.
Math::Factor::XS is not used for testing. Ok.
Math::NumSeq::Base::IterateIth is not used for testing. Ok.

TODO: Build-require `perl(Exporter)' (lib/Math/PlanePath/Base/Generic.pm:26).

TODO: Build-require`perl(lib)' (t/DiagonalRationals.t:25).

TODO: I recommend to build-require available optional modules to proceed more tests and to put unavailable ones into comments to enable them later.

FIX: Remove unused `perl(Math::BigRat)' build-requirement.

All tests pass. Ok.

$ rpmlint perl-Math-PlanePath.spec ../SRPMS/perl-Math-PlanePath-98-1.fc19.src.rpm ../RPMS/noarch/perl-Math-PlanePath-98-1.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

drwxr-xr-x    2 root    root                        0 Feb  6 14:36 /usr/share/doc/perl-Math-PlanePath-98
-rw-r--r--    1 root    root                    35068 Jun 29  2007 /usr/share/doc/perl-Math-PlanePath-98/COPYING
-rw-r--r--    1 root    root                    12278 Feb  1 00:06 /usr/share/doc/perl-Math-PlanePath-98/Changes
-rw-r--r--    1 root    root                     4956 Feb  6 14:35 /usr/share/man/man3/Math::NumSeq::PlanePathCoord.3pm.gz
-rw-r--r--    1 root    root                     3798 Feb  6 14:35 /usr/share/man/man3/Math::NumSeq::PlanePathDelta.3pm.gz
-rw-r--r--    1 root    root                     3351 Feb  6 14:35 /usr/share/man/man3/Math::NumSeq::PlanePathN.3pm.gz
-rw-r--r--    1 root    root                     3298 Feb  6 14:35 /usr/share/man/man3/Math::NumSeq::PlanePathTurn.3pm.gz
-rw-r--r--    1 root    root                    17196 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath.3pm.gz
-rw-r--r--    1 root    root                     4422 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::AR2W2Curve.3pm.gz
-rw-r--r--    1 root    root                     8079 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::AlternatePaper.3pm.gz
-rw-r--r--    1 root    root                     4183 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::AlternatePaperMidpoint.3pm.gz
-rw-r--r--    1 root    root                     4548 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::AnvilSpiral.3pm.gz
-rw-r--r--    1 root    root                     5230 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ArchimedeanChords.3pm.gz
-rw-r--r--    1 root    root                     4878 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::AztecDiamondRings.3pm.gz
-rw-r--r--    1 root    root                     3845 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Base::Digits.3pm.gz
-rw-r--r--    1 root    root                     2981 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Base::Generic.3pm.gz
-rw-r--r--    1 root    root                     5927 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::BetaOmega.3pm.gz
-rw-r--r--    1 root    root                     5201 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CCurve.3pm.gz
-rw-r--r--    1 root    root                     4435 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CellularRule.3pm.gz
-rw-r--r--    1 root    root                     4214 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CellularRule190.3pm.gz
-rw-r--r--    1 root    root                     3753 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CellularRule54.3pm.gz
-rw-r--r--    1 root    root                     3633 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CellularRule57.3pm.gz
-rw-r--r--    1 root    root                     5352 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CfracDigits.3pm.gz
-rw-r--r--    1 root    root                     6454 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ChanTree.3pm.gz
-rw-r--r--    1 root    root                     3845 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CincoCurve.3pm.gz
-rw-r--r--    1 root    root                     3241 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Columns.3pm.gz
-rw-r--r--    1 root    root                     6045 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ComplexMinus.3pm.gz
-rw-r--r--    1 root    root                     4333 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ComplexPlus.3pm.gz
-rw-r--r--    1 root    root                     3546 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ComplexRevolving.3pm.gz
-rw-r--r--    1 root    root                     4143 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CoprimeColumns.3pm.gz
-rw-r--r--    1 root    root                     5682 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Corner.3pm.gz
-rw-r--r--    1 root    root                     3830 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CornerReplicate.3pm.gz
-rw-r--r--    1 root    root                     3744 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CretanLabyrinth.3pm.gz
-rw-r--r--    1 root    root                     4081 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::CubicBase.3pm.gz
-rw-r--r--    1 root    root                     3341 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DekkingCentres.3pm.gz
-rw-r--r--    1 root    root                     3696 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DekkingCurve.3pm.gz
-rw-r--r--    1 root    root                     4142 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DiagonalRationals.3pm.gz
-rw-r--r--    1 root    root                     4913 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Diagonals.3pm.gz
-rw-r--r--    1 root    root                     3770 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DiagonalsAlternating.3pm.gz
-rw-r--r--    1 root    root                     5676 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DiagonalsOctant.3pm.gz
-rw-r--r--    1 root    root                     3486 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DiamondArms.3pm.gz
-rw-r--r--    1 root    root                     4706 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DiamondSpiral.3pm.gz
-rw-r--r--    1 root    root                     4563 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DigitGroups.3pm.gz
-rw-r--r--    1 root    root                     4095 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DivisibleColumns.3pm.gz
-rw-r--r--    1 root    root                     9274 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DragonCurve.3pm.gz
-rw-r--r--    1 root    root                     6027 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DragonMidpoint.3pm.gz
-rw-r--r--    1 root    root                     4425 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::DragonRounded.3pm.gz
-rw-r--r--    1 root    root                     4811 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::FactorRationals.3pm.gz
-rw-r--r--    1 root    root                     4181 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::FibonacciWordFractal.3pm.gz
-rw-r--r--    1 root    root                     3329 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::File.3pm.gz
-rw-r--r--    1 root    root                     3840 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::FilledRings.3pm.gz
-rw-r--r--    1 root    root                     7814 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Flowsnake.3pm.gz
-rw-r--r--    1 root    root                     5670 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::FlowsnakeCentres.3pm.gz
-rw-r--r--    1 root    root                     4790 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::FractionsTree.3pm.gz
-rw-r--r--    1 root    root                     7841 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GcdRationals.3pm.gz
-rw-r--r--    1 root    root                     5171 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GosperIslands.3pm.gz
-rw-r--r--    1 root    root                     3873 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GosperReplicate.3pm.gz
-rw-r--r--    1 root    root                     3304 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GosperSide.3pm.gz
-rw-r--r--    1 root    root                     6912 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GrayCode.3pm.gz
-rw-r--r--    1 root    root                     4517 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::GreekKeySpiral.3pm.gz
-rw-r--r--    1 root    root                     4181 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HIndexing.3pm.gz
-rw-r--r--    1 root    root                     3067 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HeptSpiralSkewed.3pm.gz
-rw-r--r--    1 root    root                     3760 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HexArms.3pm.gz
-rw-r--r--    1 root    root                     4446 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HexSpiral.3pm.gz
-rw-r--r--    1 root    root                     4417 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HexSpiralSkewed.3pm.gz
-rw-r--r--    1 root    root                     7906 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HilbertCurve.3pm.gz
-rw-r--r--    1 root    root                     4093 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HilbertSpiral.3pm.gz
-rw-r--r--    1 root    root                     5604 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Hypot.3pm.gz
-rw-r--r--    1 root    root                     4814 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::HypotOctant.3pm.gz
-rw-r--r--    1 root    root                     5401 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ImaginaryBase.3pm.gz
-rw-r--r--    1 root    root                     5141 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ImaginaryHalf.3pm.gz
-rw-r--r--    1 root    root                     3507 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KnightSpiral.3pm.gz
-rw-r--r--    1 root    root                     6223 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KochCurve.3pm.gz
-rw-r--r--    1 root    root                     4403 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KochPeaks.3pm.gz
-rw-r--r--    1 root    root                     4282 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KochSnowflakes.3pm.gz
-rw-r--r--    1 root    root                     4044 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KochSquareflakes.3pm.gz
-rw-r--r--    1 root    root                     4207 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::KochelCurve.3pm.gz
-rw-r--r--    1 root    root                     5393 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::LTiling.3pm.gz
-rw-r--r--    1 root    root                     3417 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::MPeaks.3pm.gz
-rw-r--r--    1 root    root                     6190 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::MultipleRings.3pm.gz
-rw-r--r--    1 root    root                     3547 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::OctagramSpiral.3pm.gz
-rw-r--r--    1 root    root                     8382 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PeanoCurve.3pm.gz
-rw-r--r--    1 root    root                     3352 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PentSpiral.3pm.gz
-rw-r--r--    1 root    root                     3255 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PentSpiralSkewed.3pm.gz
-rw-r--r--    1 root    root                     3668 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PixelRings.3pm.gz
-rw-r--r--    1 root    root                     5075 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PowerArray.3pm.gz
-rw-r--r--    1 root    root                     6181 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PyramidRows.3pm.gz
-rw-r--r--    1 root    root                     4302 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PyramidSides.3pm.gz
-rw-r--r--    1 root    root                     3645 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PyramidSpiral.3pm.gz
-rw-r--r--    1 root    root                    10022 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::PythagoreanTree.3pm.gz
-rw-r--r--    1 root    root                     3655 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::QuadricCurve.3pm.gz
-rw-r--r--    1 root    root                     3407 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::QuadricIslands.3pm.gz
-rw-r--r--    1 root    root                     5073 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::QuintetCentres.3pm.gz
-rw-r--r--    1 root    root                     5171 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::QuintetCurve.3pm.gz
-rw-r--r--    1 root    root                     3347 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::QuintetReplicate.3pm.gz
-rw-r--r--    1 root    root                     5386 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::R5DragonCurve.3pm.gz
-rw-r--r--    1 root    root                     4486 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::R5DragonMidpoint.3pm.gz
-rw-r--r--    1 root    root                    12238 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::RationalsTree.3pm.gz
-rw-r--r--    1 root    root                     3210 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Rows.3pm.gz
-rw-r--r--    1 root    root                     4279 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SacksSpiral.3pm.gz
-rw-r--r--    1 root    root                     5573 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SierpinskiArrowhead.3pm.gz
-rw-r--r--    1 root    root                     5755 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SierpinskiArrowheadCentres.3pm.gz
-rw-r--r--    1 root    root                     7265 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SierpinskiCurve.3pm.gz
-rw-r--r--    1 root    root                     4985 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SierpinskiCurveStair.3pm.gz
-rw-r--r--    1 root    root                     8877 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SierpinskiTriangle.3pm.gz
-rw-r--r--    1 root    root                     3912 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SquareArms.3pm.gz
-rw-r--r--    1 root    root                     3559 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SquareReplicate.3pm.gz
-rw-r--r--    1 root    root                     7581 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::SquareSpiral.3pm.gz
-rw-r--r--    1 root    root                     3604 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::Staircase.3pm.gz
-rw-r--r--    1 root    root                     3148 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::StaircaseAlternating.3pm.gz
-rw-r--r--    1 root    root                     6762 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TerdragonCurve.3pm.gz
-rw-r--r--    1 root    root                     5107 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TerdragonMidpoint.3pm.gz
-rw-r--r--    1 root    root                     3837 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TerdragonRounded.3pm.gz
-rw-r--r--    1 root    root                     5425 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TheodorusSpiral.3pm.gz
-rw-r--r--    1 root    root                     4279 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TriangleSpiral.3pm.gz
-rw-r--r--    1 root    root                     3874 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TriangleSpiralSkewed.3pm.gz
-rw-r--r--    1 root    root                     6269 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::TriangularHypot.3pm.gz
-rw-r--r--    1 root    root                     5411 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::UlamWarburton.3pm.gz
-rw-r--r--    1 root    root                     5043 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::UlamWarburtonQuarter.3pm.gz
-rw-r--r--    1 root    root                     8038 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::VogelFloret.3pm.gz
-rw-r--r--    1 root    root                     3792 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::WunderlichMeander.3pm.gz
-rw-r--r--    1 root    root                     4769 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::WunderlichSerpentine.3pm.gz
-rw-r--r--    1 root    root                     5363 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::WythoffArray.3pm.gz
-rw-r--r--    1 root    root                     5942 Feb  6 14:35 /usr/share/man/man3/Math::PlanePath::ZOrderCurve.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/NumSeq
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/NumSeq/OEIS
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/NumSeq/OEIS/Catalogue
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/NumSeq/OEIS/Catalogue/Plugin
-rw-r--r--    1 root    root                    34531 Feb  2 00:28 /usr/share/perl5/vendor_perl/Math/NumSeq/OEIS/Catalogue/Plugin/PlanePath.pm
-rw-r--r--    1 root    root                   139425 Feb  2 00:14 /usr/share/perl5/vendor_perl/Math/NumSeq/PlanePathCoord.pm
-rw-r--r--    1 root    root                   133791 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/NumSeq/PlanePathDelta.pm
-rw-r--r--    1 root    root                   106187 Jan 31 21:57 /usr/share/perl5/vendor_perl/Math/NumSeq/PlanePathN.pm
-rw-r--r--    1 root    root                    41691 Jan 28 03:37 /usr/share/perl5/vendor_perl/Math/NumSeq/PlanePathTurn.pm
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/PlanePath
-rw-r--r--    1 root    root                    54323 Feb  1 00:22 /usr/share/perl5/vendor_perl/Math/PlanePath.pm
-rw-r--r--    1 root    root                    25787 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/AR2W2Curve.pm
-rw-r--r--    1 root    root                    40529 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/AlternatePaper.pm
-rw-r--r--    1 root    root                    16073 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/AlternatePaperMidpoint.pm
-rw-r--r--    1 root    root                    14574 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/AnvilSpiral.pm
-rw-r--r--    1 root    root                    20225 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ArchimedeanChords.pm
-rw-r--r--    1 root    root                    13549 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/AztecDiamondRings.pm
drwxr-xr-x    2 root    root                        0 Feb  6 14:35 /usr/share/perl5/vendor_perl/Math/PlanePath/Base
-rw-r--r--    1 root    root                    10662 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Base/Digits.pm
-rw-r--r--    1 root    root                     5857 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Base/Generic.pm
-rw-r--r--    1 root    root                    25108 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/BetaOmega.pm
-rw-r--r--    1 root    root                    17733 Jan 27 00:36 /usr/share/perl5/vendor_perl/Math/PlanePath/CCurve.pm
-rw-r--r--    1 root    root                    23142 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CellularRule.pm
-rw-r--r--    1 root    root                    13852 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CellularRule190.pm
-rw-r--r--    1 root    root                    11199 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CellularRule54.pm
-rw-r--r--    1 root    root                    13360 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CellularRule57.pm
-rw-r--r--    1 root    root                    16804 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CfracDigits.pm
-rw-r--r--    1 root    root                    31230 Feb  1 00:29 /usr/share/perl5/vendor_perl/Math/PlanePath/ChanTree.pm
-rw-r--r--    1 root    root                    25045 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CincoCurve.pm
-rw-r--r--    1 root    root                     6811 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Columns.pm
-rw-r--r--    1 root    root                    14805 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ComplexMinus.pm
-rw-r--r--    1 root    root                    11799 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ComplexPlus.pm
-rw-r--r--    1 root    root                     7261 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ComplexRevolving.pm
-rw-r--r--    1 root    root                    11970 Feb  1 00:10 /usr/share/perl5/vendor_perl/Math/PlanePath/CoprimeColumns.pm
-rw-r--r--    1 root    root                    17264 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Corner.pm
-rw-r--r--    1 root    root                    10993 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CornerReplicate.pm
-rw-r--r--    1 root    root                    11186 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CretanLabyrinth.pm
-rw-r--r--    1 root    root                    13953 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/CubicBase.pm
-rw-r--r--    1 root    root                    11326 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DekkingCentres.pm
-rw-r--r--    1 root    root                     9876 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DekkingCurve.pm
-rw-r--r--    1 root    root                     9138 Jan 31 21:31 /usr/share/perl5/vendor_perl/Math/PlanePath/DiagonalRationals.pm
-rw-r--r--    1 root    root                    13139 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Diagonals.pm
-rw-r--r--    1 root    root                     8339 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DiagonalsAlternating.pm
-rw-r--r--    1 root    root                    15120 Jan 31 21:47 /usr/share/perl5/vendor_perl/Math/PlanePath/DiagonalsOctant.pm
-rw-r--r--    1 root    root                     9578 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DiamondArms.pm
-rw-r--r--    1 root    root                    12860 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DiamondSpiral.pm
-rw-r--r--    1 root    root                    11203 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DigitGroups.pm
-rw-r--r--    1 root    root                    14586 Feb  2 00:11 /usr/share/perl5/vendor_perl/Math/PlanePath/DivisibleColumns.pm
-rw-r--r--    1 root    root                    37359 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DragonCurve.pm
-rw-r--r--    1 root    root                    23562 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DragonMidpoint.pm
-rw-r--r--    1 root    root                    14380 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/DragonRounded.pm
-rw-r--r--    1 root    root                    11784 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/FactorRationals.pm
-rw-r--r--    1 root    root                    15153 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/FibonacciWordFractal.pm
-rw-r--r--    1 root    root                     7563 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/File.pm
-rw-r--r--    1 root    root                    13497 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/FilledRings.pm
-rw-r--r--    1 root    root                    28476 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Flowsnake.pm
-rw-r--r--    1 root    root                    28206 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/FlowsnakeCentres.pm
-rw-r--r--    1 root    root                    13264 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/FractionsTree.pm
-rw-r--r--    1 root    root                    31607 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GcdRationals.pm
-rw-r--r--    1 root    root                    20759 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GosperIslands.pm
-rw-r--r--    1 root    root                     9943 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GosperReplicate.pm
-rw-r--r--    1 root    root                     9097 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GosperSide.pm
-rw-r--r--    1 root    root                    20914 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GrayCode.pm
-rw-r--r--    1 root    root                    19236 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/GreekKeySpiral.pm
-rw-r--r--    1 root    root                    11827 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HIndexing.pm
-rw-r--r--    1 root    root                     6546 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HeptSpiralSkewed.pm
-rw-r--r--    1 root    root                    10544 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HexArms.pm
-rw-r--r--    1 root    root                    13282 Jan 31 21:34 /usr/share/perl5/vendor_perl/Math/PlanePath/HexSpiral.pm
-rw-r--r--    1 root    root                    11729 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HexSpiralSkewed.pm
-rw-r--r--    1 root    root                    22391 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HilbertCurve.pm
-rw-r--r--    1 root    root                    13502 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HilbertSpiral.pm
-rw-r--r--    1 root    root                    19734 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Hypot.pm
-rw-r--r--    1 root    root                    15199 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/HypotOctant.pm
-rw-r--r--    1 root    root                    18319 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ImaginaryBase.pm
-rw-r--r--    1 root    root                    16007 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ImaginaryHalf.pm
-rw-r--r--    1 root    root                    12551 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KnightSpiral.pm
-rw-r--r--    1 root    root                    23745 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KochCurve.pm
-rw-r--r--    1 root    root                    13820 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KochPeaks.pm
-rw-r--r--    1 root    root                    15265 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KochSnowflakes.pm
-rw-r--r--    1 root    root                    18102 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KochSquareflakes.pm
-rw-r--r--    1 root    root                    20072 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/KochelCurve.pm
-rw-r--r--    1 root    root                    16292 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/LTiling.pm
-rw-r--r--    1 root    root                     7995 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/MPeaks.pm
-rw-r--r--    1 root    root                    24586 Feb  2 00:12 /usr/share/perl5/vendor_perl/Math/PlanePath/MultipleRings.pm
-rw-r--r--    1 root    root                     9537 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/OctagramSpiral.pm
-rw-r--r--    1 root    root                    27267 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PeanoCurve.pm
-rw-r--r--    1 root    root                     8210 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PentSpiral.pm
-rw-r--r--    1 root    root                     6452 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PentSpiralSkewed.pm
-rw-r--r--    1 root    root                    14976 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PixelRings.pm
-rw-r--r--    1 root    root                    11193 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PowerArray.pm
-rw-r--r--    1 root    root                    23579 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PyramidRows.pm
-rw-r--r--    1 root    root                     9049 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PyramidSides.pm
-rw-r--r--    1 root    root                     7488 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/PyramidSpiral.pm
-rw-r--r--    1 root    root                    47184 Jan 30 21:09 /usr/share/perl5/vendor_perl/Math/PlanePath/PythagoreanTree.pm
-rw-r--r--    1 root    root                    12277 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/QuadricCurve.pm
-rw-r--r--    1 root    root                    13433 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/QuadricIslands.pm
-rw-r--r--    1 root    root                    20038 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/QuintetCentres.pm
-rw-r--r--    1 root    root                    12945 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/QuintetCurve.pm
-rw-r--r--    1 root    root                     8362 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/QuintetReplicate.pm
-rw-r--r--    1 root    root                    15661 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/R5DragonCurve.pm
-rw-r--r--    1 root    root                    13412 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/R5DragonMidpoint.pm
-rw-r--r--    1 root    root                    42882 Feb  2 00:28 /usr/share/perl5/vendor_perl/Math/PlanePath/RationalsTree.pm
-rw-r--r--    1 root    root                     6890 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Rows.pm
-rw-r--r--    1 root    root                    11772 Feb  1 00:47 /usr/share/perl5/vendor_perl/Math/PlanePath/SacksSpiral.pm
-rw-r--r--    1 root    root                    19126 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SierpinskiArrowhead.pm
-rw-r--r--    1 root    root                    20788 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SierpinskiArrowheadCentres.pm
-rw-r--r--    1 root    root                    31882 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SierpinskiCurve.pm
-rw-r--r--    1 root    root                    24599 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SierpinskiCurveStair.pm
-rw-r--r--    1 root    root                    29143 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SierpinskiTriangle.pm
-rw-r--r--    1 root    root                     9577 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SquareArms.pm
-rw-r--r--    1 root    root                     7985 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/SquareReplicate.pm
-rw-r--r--    1 root    root                    26381 Jan 31 07:01 /usr/share/perl5/vendor_perl/Math/PlanePath/SquareSpiral.pm
-rw-r--r--    1 root    root                     7939 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/Staircase.pm
-rw-r--r--    1 root    root                    10560 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/StaircaseAlternating.pm
-rw-r--r--    1 root    root                    23061 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/TerdragonCurve.pm
-rw-r--r--    1 root    root                    23542 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/TerdragonMidpoint.pm
-rw-r--r--    1 root    root                    10843 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/TerdragonRounded.pm
-rw-r--r--    1 root    root                    13348 Feb  1 00:48 /usr/share/perl5/vendor_perl/Math/PlanePath/TheodorusSpiral.pm
-rw-r--r--    1 root    root                    10422 Jan 31 21:37 /usr/share/perl5/vendor_perl/Math/PlanePath/TriangleSpiral.pm
-rw-r--r--    1 root    root                     9502 Jan 31 21:36 /usr/share/perl5/vendor_perl/Math/PlanePath/TriangleSpiralSkewed.pm
-rw-r--r--    1 root    root                    31112 Jan 28 03:24 /usr/share/perl5/vendor_perl/Math/PlanePath/TriangularHypot.pm
-rw-r--r--    1 root    root                    20722 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/UlamWarburton.pm
-rw-r--r--    1 root    root                    16934 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/UlamWarburtonQuarter.pm
-rw-r--r--    1 root    root                    26718 Feb  1 00:48 /usr/share/perl5/vendor_perl/Math/PlanePath/VogelFloret.pm
-rw-r--r--    1 root    root                    15019 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/WunderlichMeander.pm
-rw-r--r--    1 root    root                    21721 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/WunderlichSerpentine.pm
-rw-r--r--    1 root    root                    14236 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/WythoffArray.pm
-rw-r--r--    1 root    root                    18192 Jan 26 00:02 /usr/share/perl5/vendor_perl/Math/PlanePath/ZOrderCurve.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Math-PlanePath-98-1.fc19.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.004
      1 perl(Carp)
      1 perl(constant) >= 1.02
      1 perl(constant::defer) >= 5
      1 perl(Exporter)
      1 perl(List::Util)
      1 perl(Math::Libm)
      1 perl(Math::NumSeq)
      1 perl(Math::NumSeq::Base::IterateIth)
      1 perl(Math::NumSeq::OEIS::Catalogue::Plugin)
      1 perl(Math::NumSeq::PlanePathCoord)
      1 perl(Math::PlanePath)
      1 perl(Math::PlanePath::AlternatePaper)
      1 perl(Math::PlanePath::Base::Digits)
      1 perl(Math::PlanePath::Base::Generic)
      1 perl(Math::PlanePath::BetaOmega) >= 52
      1 perl(Math::PlanePath::CellularRule54)
      1 perl(Math::PlanePath::CoprimeColumns)
      1 perl(Math::PlanePath::DekkingCentres)
      1 perl(Math::PlanePath::DiagonalRationals)
      1 perl(Math::PlanePath::Diagonals)
      1 perl(Math::PlanePath::DragonCurve)
      1 perl(Math::PlanePath::DragonMidpoint)
      1 perl(Math::PlanePath::FlowsnakeCentres) >= 55
      1 perl(Math::PlanePath::GcdRationals)
      1 perl(Math::PlanePath::GosperIslands)
      1 perl(Math::PlanePath::ImaginaryBase)
      1 perl(Math::PlanePath::KochCurve)
      1 perl(Math::PlanePath::MultipleRings)
      1 perl(Math::PlanePath::PeanoCurve)
      1 perl(Math::PlanePath::PyramidRows)
      1 perl(Math::PlanePath::QuadricCurve)
      1 perl(Math::PlanePath::QuintetCentres)
      1 perl(Math::PlanePath::RationalsTree)
      1 perl(Math::PlanePath::SacksSpiral)
      1 perl(Math::PlanePath::SierpinskiArrowhead)
      1 perl(Math::PlanePath::SierpinskiCurve)
      1 perl(Math::PlanePath::SquareArms)
      1 perl(Math::PlanePath::SquareSpiral)
      1 perl(Math::PlanePath::TerdragonCurve)
      1 perl(Math::PlanePath::TerdragonMidpoint)
      1 perl(Math::PlanePath::UlamWarburtonQuarter)
      1 perl(Math::PlanePath::ZOrderCurve)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(POSIX)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

FIX: Run-require `perl(Math::NumSeq::Modulo)' (lib/Math/NumSeq/PlanePathCoord.pm:244).
FIX: Run-require `perl(Module::Load)' (lib/Math/NumSeq/PlanePathCoord.pm:328).
FIX: Run-require `perl(Math::Factor::XS) (lib/Math/NumSeq/PlanePathCoord.pm:880).

$ rpm -q --provides -p ../RPMS/noarch/perl-Math-PlanePath-98-1.fc19.noarch.rpm | sort | uniq -c
      1 perl(Math::NumSeq::OEIS::Catalogue::Plugin::PlanePath) = 98
      1 perl(Math::NumSeq::PlanePathCoord) = 98
      1 perl(Math::NumSeq::PlanePathDelta) = 98
      1 perl(Math::NumSeq::PlanePathN) = 98
      1 perl(Math::NumSeq::PlanePathTurn) = 98
      1 perl(Math::PlanePath) = 98
      1 perl-Math-PlanePath = 98-1.fc19
      1 perl(Math::PlanePath::AlternatePaper) = 98
      1 perl(Math::PlanePath::AlternatePaperMidpoint) = 98
      1 perl(Math::PlanePath::AnvilSpiral) = 98
      1 perl(Math::PlanePath::AR2W2Curve) = 98
      1 perl(Math::PlanePath::ArchimedeanChords) = 98
      1 perl(Math::PlanePath::AztecDiamondRings) = 98
      1 perl(Math::PlanePath::Base::Digits) = 98
      1 perl(Math::PlanePath::Base::Generic) = 98
      1 perl(Math::PlanePath::BetaOmega) = 98
      1 perl(Math::PlanePath::CCurve) = 98
      1 perl(Math::PlanePath::CellularRule190) = 98
      1 perl(Math::PlanePath::CellularRule54) = 98
      1 perl(Math::PlanePath::CellularRule57) = 98
      1 perl(Math::PlanePath::CellularRule) = 98
      1 perl(Math::PlanePath::CellularRule::Line) = 98
      1 perl(Math::PlanePath::CellularRule::OddSolid) = 98
      1 perl(Math::PlanePath::CfracDigits) = 98
      1 perl(Math::PlanePath::ChanTree) = 98
      1 perl(Math::PlanePath::CincoCurve) = 98
      1 perl(Math::PlanePath::Columns) = 98
      1 perl(Math::PlanePath::ComplexMinus) = 98
      1 perl(Math::PlanePath::ComplexPlus) = 98
      1 perl(Math::PlanePath::ComplexRevolving) = 98
      1 perl(Math::PlanePath::CoprimeColumns) = 98
      1 perl(Math::PlanePath::Corner) = 98
      1 perl(Math::PlanePath::CornerReplicate) = 98
      1 perl(Math::PlanePath::CretanLabyrinth) = 98
      1 perl(Math::PlanePath::CubicBase) = 98
      1 perl(Math::PlanePath::DekkingCentres) = 98
      1 perl(Math::PlanePath::DekkingCurve) = 98
      1 perl(Math::PlanePath::DiagonalRationals) = 98
      1 perl(Math::PlanePath::Diagonals) = 98
      1 perl(Math::PlanePath::DiagonalsAlternating) = 98
      1 perl(Math::PlanePath::DiagonalsOctant) = 98
      1 perl(Math::PlanePath::DiamondArms) = 98
      1 perl(Math::PlanePath::DiamondSpiral) = 98
      1 perl(Math::PlanePath::DigitGroups) = 98
      1 perl(Math::PlanePath::DivisibleColumns) = 98
      1 perl(Math::PlanePath::DragonCurve) = 98
      1 perl(Math::PlanePath::DragonMidpoint) = 98
      1 perl(Math::PlanePath::DragonRounded) = 98
      1 perl(Math::PlanePath::FactorRationals) = 98
      1 perl(Math::PlanePath::FibonacciWordFractal) = 98
      1 perl(Math::PlanePath::File) = 98
      1 perl(Math::PlanePath::FilledRings) = 98
      1 perl(Math::PlanePath::Flowsnake) = 98
      1 perl(Math::PlanePath::FlowsnakeCentres) = 98
      1 perl(Math::PlanePath::FractionsTree) = 98
      1 perl(Math::PlanePath::GcdRationals) = 98
      1 perl(Math::PlanePath::GosperIslands) = 98
      1 perl(Math::PlanePath::GosperReplicate) = 98
      1 perl(Math::PlanePath::GosperSide) = 98
      1 perl(Math::PlanePath::GrayCode) = 98
      1 perl(Math::PlanePath::GreekKeySpiral) = 98
      1 perl(Math::PlanePath::HeptSpiralSkewed) = 98
      1 perl(Math::PlanePath::HexArms) = 98
      1 perl(Math::PlanePath::HexSpiral) = 98
      1 perl(Math::PlanePath::HexSpiralSkewed) = 98
      1 perl(Math::PlanePath::HilbertCurve) = 98
      1 perl(Math::PlanePath::HilbertSpiral) = 98
      1 perl(Math::PlanePath::HIndexing) = 98
      1 perl(Math::PlanePath::Hypot) = 98
      1 perl(Math::PlanePath::HypotOctant) = 98
      1 perl(Math::PlanePath::ImaginaryBase) = 98
      1 perl(Math::PlanePath::ImaginaryHalf) = 98
      1 perl(Math::PlanePath::KnightSpiral) = 98
      1 perl(Math::PlanePath::KochCurve) = 98
      1 perl(Math::PlanePath::KochelCurve) = 98
      1 perl(Math::PlanePath::KochPeaks) = 98
      1 perl(Math::PlanePath::KochSnowflakes) = 98
      1 perl(Math::PlanePath::KochSquareflakes) = 98
      1 perl(Math::PlanePath::LTiling) = 98
      1 perl(Math::PlanePath::MPeaks) = 98
      1 perl(Math::PlanePath::MultipleRings) = 98
      1 perl(Math::PlanePath::OctagramSpiral) = 98
      1 perl(Math::PlanePath::PeanoCurve) = 98
      1 perl(Math::PlanePath::PentSpiral) = 98
      1 perl(Math::PlanePath::PentSpiralSkewed) = 98
      1 perl(Math::PlanePath::PixelRings) = 98
      1 perl(Math::PlanePath::PowerArray) = 98
      1 perl(Math::PlanePath::PyramidRows) = 98
      1 perl(Math::PlanePath::PyramidSides) = 98
      1 perl(Math::PlanePath::PyramidSpiral) = 98
      1 perl(Math::PlanePath::PythagoreanTree) = 98
      1 perl(Math::PlanePath::QuadricCurve) = 98
      1 perl(Math::PlanePath::QuadricIslands) = 98
      1 perl(Math::PlanePath::QuintetCentres) = 98
      1 perl(Math::PlanePath::QuintetCurve) = 98
      1 perl(Math::PlanePath::QuintetReplicate) = 98
      1 perl(Math::PlanePath::R5DragonCurve) = 98
      1 perl(Math::PlanePath::R5DragonMidpoint) = 98
      1 perl(Math::PlanePath::RationalsTree) = 98
      1 perl(Math::PlanePath::Rows) = 98
      1 perl(Math::PlanePath::SacksSpiral) = 98
      1 perl(Math::PlanePath::SierpinskiArrowhead) = 98
      1 perl(Math::PlanePath::SierpinskiArrowheadCentres) = 98
      1 perl(Math::PlanePath::SierpinskiCurve) = 98
      1 perl(Math::PlanePath::SierpinskiCurveStair) = 98
      1 perl(Math::PlanePath::SierpinskiTriangle) = 98
      1 perl(Math::PlanePath::SquareArms) = 98
      1 perl(Math::PlanePath::SquareReplicate) = 98
      1 perl(Math::PlanePath::SquareSpiral) = 98
      1 perl(Math::PlanePath::Staircase) = 98
      1 perl(Math::PlanePath::StaircaseAlternating) = 98
      1 perl(Math::PlanePath::TerdragonCurve) = 98
      1 perl(Math::PlanePath::TerdragonMidpoint) = 98
      1 perl(Math::PlanePath::TerdragonRounded) = 98
      1 perl(Math::PlanePath::TheodorusSpiral) = 98
      1 perl(Math::PlanePath::TriangleSpiral) = 98
      1 perl(Math::PlanePath::TriangleSpiralSkewed) = 98
      1 perl(Math::PlanePath::TriangularHypot) = 98
      1 perl(Math::PlanePath::UlamWarburton) = 98
      1 perl(Math::PlanePath::UlamWarburtonQuarter) = 98
      1 perl(Math::PlanePath::VogelFloret) = 98
      1 perl(Math::PlanePath::WunderlichMeander) = 98
      1 perl(Math::PlanePath::WunderlichSerpentine) = 98
      1 perl(Math::PlanePath::WythoffArray) = 98
      1 perl(Math::PlanePath::ZOrderCurve) = 98
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Math-PlanePath-98-1.fc19.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4932900). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.
Resolution: Package NOT approved.
Comment 3 Miro Hrončok 2013-02-09 18:09:41 EST
Spec URL: https://raw.github.com/hroncok/SPECS/master/perl-Math-PlanePath.spec
SRPM URL: https://github.com/downloads/hroncok/SPECS/perl-Math-PlanePath-98-2.fc18.src.rpm

* Sat Feb 09 2013 Miro Hrončok <mhroncok@redhat.com> - 98-2
- Using original homepage for URL
- Updated summary and description to suit whole package
- Packaged debian/copyright as documentation
- Quallified BR perl(Math::BigFloat) with >= 1.993
- Build-required perl(constant) >= 1.02
                 perl(Test)
                 perl(Scalar::Util)
                 perl(Carp)
                 perl(File::Spec)
                 perl(Exporter)
                 perl(lib)
- Run-required   perl(Math::Factor::XS)
                 perl(Math::NumSeq::Modulo)
                 perl(Module::Load)
- Removed BR     perl(Math::BigRat)
                 perl >= 0:5.004
Comment 4 Petr Pisar 2013-02-11 04:15:52 EST
Spec file changes:
[test@fedora-19 SPECS]$ diff -u perl-Math-PlanePath.spec{.old,}
--- perl-Math-PlanePath.spec.old        2013-02-06 11:06:39.178000000 +0100
+++ perl-Math-PlanePath.spec    2013-02-11 09:54:36.950000000 +0100
@@ -1,21 +1,29 @@
 Name:           perl-Math-PlanePath
 Version:        98
-Release:        1%{?dist}
-Summary:        Points on a path through the 2D plane
+Release:        2%{?dist}
+Summary:        Mathematical paths through the 2-D plane
 License:        GPLv3+
 Group:          Development/Libraries
-URL:            http://search.cpan.org/dist/Math-PlanePath/
+URL:            http://user42.tuxfamily.org/math-planepath/index.html
 Source0:        http://www.cpan.org/authors/id/K/KR/KRYDE/Math-PlanePath-%{version}.tar.gz
 BuildArch:      noarch
-BuildRequires:  perl >= 0:5.004
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(constant) >= 1.02
 BuildRequires:  perl(constant::defer) >= 5
+BuildRequires:  perl(Exporter)
 BuildRequires:  perl(ExtUtils::MakeMaker)
+BuildRequires:  perl(File::Spec)
+BuildRequires:  perl(lib)
 BuildRequires:  perl(List::Util)
-BuildRequires:  perl(Math::BigFloat)
+BuildRequires:  perl(Math::BigFloat) >= 1.993
 BuildRequires:  perl(Math::BigInt)
-BuildRequires:  perl(Math::BigRat)
 BuildRequires:  perl(Math::Libm)
+BuildRequires:  perl(Scalar::Util)
+BuildRequires:  perl(Test)
 Requires:       perl(constant::defer) >= 5
+Requires:       perl(Math::Factor::XS)
+Requires:       perl(Math::NumSeq::Modulo)
+Requires:       perl(Module::Load)
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

 # Filtering unversioned provides and requires
@@ -24,8 +32,8 @@
 %global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(constant\\)$

 %description
-This is a base class for some mathematical paths which map an integer
-position $n to and from coordinates $x,$y in the 2D plane.
+This spot of Perl code calculates various mathematical paths through a 2-D X,Y
+plane. There's no drawing in Math-PlanePath, just coordinate calculations.

 %prep
 %setup -q -n Math-PlanePath-%{version}
@@ -46,11 +54,29 @@
 make test

 %files
-%doc Changes COPYING
+%doc Changes COPYING debian/copyright
 %{perl_vendorlib}/Math*
 %{_mandir}/man3/*

 %changelog
+* Sat Feb 09 2013 Miro Hrončok <mhroncok@redhat.com> - 98-2
+- Using original homepage for URL
+- Updated summary and description to suit whole package
+- Packaged debian/copyright as documentation
+- Quallified BR perl(Math::BigFloat) with >= 1.993
+- Build-required perl(constant) >= 1.02
+                 perl(Test)
+                 perl(Scalar::Util)
+                 perl(Carp)
+                 perl(File::Spec)
+                 perl(Exporter)
+                 perl(lib)
+- Run-required   perl(Math::Factor::XS)
+                 perl(Math::NumSeq::Modulo)
+                 perl(Module::Load)
+- Removed BR     perl(Math::BigRat)
+                 perl >= 0:5.004
+
 * Sat Feb 02 2013 Miro Hrončok <mhroncok@redhat.com> - 98-1
 - New release
 - Removed perl default filter


> FIX: Use original homepage for URL <http://user42.tuxfamily.org/math-planepath/index.html> (debian/copyright:9).
-URL:            http://search.cpan.org/dist/Math-PlanePath/
+URL:            http://user42.tuxfamily.org/math-planepath/index.html
Ok.

> FIX: Current Summary and Description applies to Math::PlanePath module only. However this package delivers plenty of other modules. Please use better text. E.g. Abstract from from META.yml.
-Summary:        Points on a path through the 2D plane
+Summary:        Mathematical paths through the 2-D plane
 %description
-This is a base class for some mathematical paths which map an integer
-position $n to and from coordinates $x,$y in the 2D plane.
+This spot of Perl code calculates various mathematical paths through a 2-D X,Y
+plane. There's no drawing in Math-PlanePath, just coordinate calculations.
Ok.

> TODO: You can remove build-require `perl >= 0:5.004'. It does not match Fedora versioning.
-BuildRequires:  perl >= 0:5.004
Ok.

> TODO: Package debian/copyright as documentation.
-%doc Changes COPYING
+%doc Changes COPYING debian/copyright
Ok.

> TODO: (Build-)require `perl(constant) >= 1.02' (META.yml:14, various lib/* files).
+BuildRequires:  perl(constant) >= 1.02
TODO: Run-require `perl(constant) >= 1.02' due to the version.

> TODO: Build-require `perl(Test)' (t/DiagonalRationals.t:22).
+BuildRequires:  perl(Test)
Ok.

> TODO: Quallify BuildRequires `perl(Math::BigFloat)' with `>= 1.993' (META.yml:44).
-BuildRequires:  perl(Math::BigFloat)
+BuildRequires:  perl(Math::BigFloat) >= 1.993
Ok.

> FIX: Build-require `perl(Scalar::Util)' (t/MyTestHelpers.pm:102).
+BuildRequires:  perl(Scalar::Util)
Ok.

> TODO: Build-require `perl(Exporter)' (lib/Math/PlanePath/Base/Generic.pm:26).
+BuildRequires:  perl(Exporter)
Ok.

> TODO: Build-require`perl(lib)' (t/DiagonalRationals.t:25).
+BuildRequires:  perl(lib)
Ok.

> TODO: I recommend to build-require available optional modules to proceed more tests and to put unavailable ones into comments to enable them later.
Not addressed.

> FIX: Remove unused `perl(Math::BigRat)' build-requirement.
-BuildRequires:  perl(Math::BigRat)
Ok.

> FIX: Run-require `perl(Math::NumSeq::Modulo)' (lib/Math/NumSeq/PlanePathCoord.pm:244).
+Requires:       perl(Math::NumSeq::Modulo)
Ok.

> FIX: Run-require `perl(Module::Load)' (lib/Math/NumSeq/PlanePathCoord.pm:328).
+Requires:       perl(Module::Load)
Ok.

> FIX: Run-require `perl(Math::Factor::XS) (lib/Math/NumSeq/PlanePathCoord.pm:880).
+Requires:       perl(Math::Factor::XS)
Ok.

All tests pass. Ok.

$ rpmlint perl-Math-PlanePath.spec ../SRPMS/perl-Math-PlanePath-98-2.fc19.src.rpm ../RPMS/noarch/perl-Math-PlanePath-98-2.fc19.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Math-PlanePath-98-2.fc19.noarch.rpm | sort | uniq -c                                                 1 perl >= 0:5.004
      1 perl(Carp)
      1 perl(constant) >= 1.02
      1 perl(constant::defer) >= 5
      1 perl(Exporter)
      1 perl(List::Util)
      1 perl(Math::Factor::XS)
      1 perl(Math::Libm)
      1 perl(Math::NumSeq)
      1 perl(Math::NumSeq::Base::IterateIth)
      1 perl(Math::NumSeq::Modulo)
      1 perl(Math::NumSeq::OEIS::Catalogue::Plugin)
      1 perl(Math::NumSeq::PlanePathCoord)
      1 perl(Math::PlanePath)
      1 perl(Math::PlanePath::AlternatePaper)
      1 perl(Math::PlanePath::Base::Digits)
      1 perl(Math::PlanePath::Base::Generic)
      1 perl(Math::PlanePath::BetaOmega) >= 52
      1 perl(Math::PlanePath::CellularRule54)
      1 perl(Math::PlanePath::CoprimeColumns)
      1 perl(Math::PlanePath::DekkingCentres)
      1 perl(Math::PlanePath::DiagonalRationals)
      1 perl(Math::PlanePath::Diagonals)
      1 perl(Math::PlanePath::DragonCurve)
      1 perl(Math::PlanePath::DragonMidpoint)
      1 perl(Math::PlanePath::FlowsnakeCentres) >= 55
      1 perl(Math::PlanePath::GcdRationals)
      1 perl(Math::PlanePath::GosperIslands)
      1 perl(Math::PlanePath::ImaginaryBase)
      1 perl(Math::PlanePath::KochCurve)
      1 perl(Math::PlanePath::MultipleRings)
      1 perl(Math::PlanePath::PeanoCurve)
      1 perl(Math::PlanePath::PyramidRows)
      1 perl(Math::PlanePath::QuadricCurve)
      1 perl(Math::PlanePath::QuintetCentres)
      1 perl(Math::PlanePath::RationalsTree)
      1 perl(Math::PlanePath::SacksSpiral)
      1 perl(Math::PlanePath::SierpinskiArrowhead)
      1 perl(Math::PlanePath::SierpinskiCurve)
      1 perl(Math::PlanePath::SquareArms)
      1 perl(Math::PlanePath::SquareSpiral)
      1 perl(Math::PlanePath::TerdragonCurve)
      1 perl(Math::PlanePath::TerdragonMidpoint)
      1 perl(Math::PlanePath::UlamWarburtonQuarter)
      1 perl(Math::PlanePath::ZOrderCurve)
      1 perl(:MODULE_COMPAT_5.16.2)
      1 perl(Module::Load)
      1 perl(POSIX)
      1 perl(strict)
      1 perl(vars)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

Package builds in F19 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4949147). Ok.

Package is good.
Resolution: Package APPROVED.
Comment 5 Miro Hrončok 2013-02-11 11:04:14 EST
New Package SCM Request
=======================
Package Name: perl-Math-PlanePath
Short Description: Mathematical paths through the 2-D plane
Owners: churchyard
Branches: f17 f18
InitialCC: perl-sig
Comment 6 Jon Ciesla 2013-02-11 11:08:03 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-02-18 05:02:11 EST
perl-Math-PlanePath-98-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Math-PlanePath-98-2.fc17
Comment 8 Fedora Update System 2013-02-18 05:04:02 EST
perl-Math-PlanePath-98-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Math-PlanePath-98-2.fc18
Comment 9 Fedora Update System 2013-02-18 20:24:28 EST
perl-Math-PlanePath-98-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2013-02-28 02:06:44 EST
perl-Math-PlanePath-98-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-02-28 02:11:54 EST
perl-Math-PlanePath-98-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.